%define oname NetworkManager-fortisslvpn
%define url_ver %(echo %{version}|cut -d. -f1,2)

%global ppp_version %(rpm -q --queryformat "%{VERSION}" ppp)

%bcond_without gtk4

Name:		networkmanager-fortisslvpn
Version:	1.4.0
Release:	%mkrel 5
Summary:	NetworkManager VPN integration for Fortinet SSLVPN
License:	GPLv2+
Group:		System/Networking
Url:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://ftp.gnome.org/pub/GNOME/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch1:		0001-build-Use-usr-share-metainfo-for-AppData-files.patch
Patch2:		0002-appdata-Add-extends-for-new-gnome-control-center-nam.patch
Patch3:		0003-Move-D-Bus-policy-file-to-usr-share-dbus-1-system.d.patch
Patch4:		0001-Adding-support-for-compiling-against-pppd-2.5.0-or-m.patch
Patch5:		0001-Improve-compatibility-with-pppd-2.5.0-release.patch
# Mageia patches:
Patch50:	NetworkManager-fortisslvpn-linking.patch

BuildRequires:	ppp-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnma)
%if %{with gtk4}
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4)
%endif

Requires:	dbus
Requires:	networkmanager
Requires:	openfortivpn

%description
This package contains software for integrating the Fortinet SSLVPN
with NetworkManager and the GNOME desktop.

%package gnome
Summary:	NetworkManager VPN plugin for SSLVPN - GNOME files
Group:		System/Networking
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	gtk+3.0
%if %{with gtk4}
Requires:	gtk4.0
%endif

%description gnome
This package contains software for integrating VPN capabilities with
the Fortinet compatible SSLVPN server with NetworkManager (GNOME files).

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
autoreconf -vfi
%configure \
	--disable-static \
	--enable-more-warnings \
	%{?with_gtk4:--with-gtk4} \
	--with-dist-version=%{version}-%{release} \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version}
%make_build

%install
%make_install

# locales
%find_lang %{oname}

%pre
getent group nm-fortisslvpn >/dev/null || groupadd -r nm-fortisslvpn
getent passwd nm-fortisslvpn >/dev/null || \
        useradd -r -g nm-fortisslvpn -d / -s /sbin/nologin \
        -c "Default user for running openfortivpn spawned by NetworkManager" nm-fortisslvpn
exit 0

%files -f %{oname}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_datadir}/dbus-1/system.d/nm-fortisslvpn-service.conf
%{_libdir}/pppd/%{ppp_version}/nm-fortisslvpn-pppd-plugin.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-fortisslvpn.so
%{_libexecdir}/nm-fortisslvpn-pinentry
%{_libexecdir}/nm-fortisslvpn-service
%{_prefix}/lib/NetworkManager/VPN/nm-fortisslvpn-service.name
%{_sharedstatedir}/%{oname}

%files gnome
%license COPYING
%doc AUTHORS ChangeLog README
%{_libexecdir}/nm-fortisslvpn-auth-dialog
%{_libdir}/NetworkManager/libnm-vpn-plugin-fortisslvpn-editor.so
%if %{with gtk4}
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-fortisslvpn-editor.so
%endif
%{_metainfodir}/network-manager-fortisslvpn.metainfo.xml


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.4.0-5.mga10
+ Revision: 2233647
- Mageia 10 Mass Rebuild

* Mon Jan 06 2025 wally <wally> 1.4.0-4.mga10
+ Revision: 2135715
- rebuild for ppp 2.5.2

* Sun Feb 25 2024 wally <wally> 1.4.0-3.mga10
+ Revision: 2044205
- add patch to fix linking
- fix pppd plugin dir
+ daviddavid <daviddavid>
- move metainfo file to metainfodir
- move dbus policy file to /usr/share/dbus-1/

* Sun Feb 25 2024 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2044192
- initial package networkmanager-fortisslvpn (mga#32888)

